﻿using System.Collections.Generic;
using System.IO;

namespace MWDataGrabber
{
    public class EsmFile
    {
        private string _path;
        private string _name;
        private List<Record> _records;

        public EsmFile( string path, string name )
        {
            _path = path;
            _name = name;
        }

        public void Load()
        {
            FileStream fs = new FileStream( _path, FileMode.Open, FileAccess.Read );
            BinaryReader br = new BinaryReader( fs );
            _records = new List<Record>();
            while ( fs.Position < fs.Length )
            {
                Record tmp = Record.Create( br );
                tmp.Namespace = _name;
                _records.Add( tmp );
            }
        }

        public List<Record> Records
        {
            get
            {
                return _records;
            }
        }

        public override string ToString()
        {
            return base.ToString();
        }

    }
}
